/* copy_c subroutine
 * array copy subroutine
 *
 * Copyright (C) 2007-2010 Alan Layec
 *
 * This file is part of modnumlib.
 *
 * modnumlib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * modnumlib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with modnumlib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

/* REVISION HISTORY :
 * $Log$
 */

#include "modnum_lib.h"

/* copy_c routine qui copie un tableau dans un autre
 * n     : longueur du tableau
 * u     : tableau en entre (double)
 * y     : tableau en sortie (double)
 */

void copyd_c(int *n,double *u,double *y)
{
 /*Dclaration des variables*/
 int i;

 for(i=0;i<(*n);i++) {
   y[i] = u[i];
 }

}

/* copyi_c routine qui copie un tableau dans un autre
 * n     : longueur du tableau
 * u     : tableau en entre (int)
 * y     : tableau en sortie (int)
 */

void copyi_c(int *n,int *u,int *y)
{
 /*Dclaration des variables*/
 int i;

 for(i=0;i<(*n);i++) {
   y[i] = u[i];
 }

}
